Subject: [Ksummit-2013-discuss] ARM topic: Is DT on ARM the solution, or is there something better?

From: [email-masked] (Richard Cochran)
Date: Wed, 23 Oct 2013 20:51:17 +0200

On Wed, Oct 23, 2013 at 08:46:22PM +0200, Maxime Bizon wrote:
> 
> the first iteration of your DTB would be incomplete, the bindings to
> describe that hardware block would not exist inside it.
> 
> real life example with Marvell Kirkwood, hw crypto support was added 1
> year after initial SOC support.
> 
> I'm happy I can use it now on existing boards by "just" upgrading the
> kernel.

I have no problem with new kernel features unlocked by new DT
bindings.

I *do* have a problem with new kernels breaking existing DT bindings.

Thanks,
Richard